<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package bizhunt
 */

get_header();

get_template_part( 'template-parts/content', 'breadcrumb' );
?>

<!-- Blog -->
<section id="blog" class="section archive single">
	<div class="container">
		<header class="page-header">
			<h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'bizhunt' ); ?></h1>
		</header><!-- .page-header -->

		<div class="page-content">
			<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'bizhunt' ); ?></p>

			<?php
			get_search_form();
			?>
		</div><!-- .page-content -->
	</div>
</section>

<?php
get_footer();
