<?php 
// ----------Social Section ----------
$wp_customize->add_section( 'bizhunt_social_section', array(
  'capability'            => 'edit_theme_options',
  'priority'              => 10,
  'title'                 => __( 'Social Media Section', 'bizhunt' ),
  'description'           => __( 'This is Social Media. ', 'bizhunt' ),
  'panel'                 => 'bizhunt_front_option'
) );

//Social Section Checkbox
$wp_customize->add_setting( 'bizhunt_enable', array(
  'capability'            => 'edit_theme_options',
  'default'               => 0,
  'sanitize_callback'     => 'bizhunt_sanitize_checkbox'
) );

$wp_customize->add_control( 'bizhunt_enable', array(
  'label'                 =>  __( 'Enable Social Section', 'bizhunt' ),
  'section'               => 'bizhunt_social_section',
  'type'                  => 'checkbox',
  'priority'              => 10,
  'settings'              => 'bizhunt_enable',
) );

//Social Media URL Twitter
$wp_customize->add_setting( 'bizhunt_social_twitter', array(
  'capability'            => 'edit_theme_options',
  'default'               => '',
  'sanitize_callback'     => 'esc_url_raw'
) );

$wp_customize->add_control( 'bizhunt_social_twitter', array(
  'label'                 =>  __( 'Social Media URl ', 'bizhunt' ),
  'description'           => __( 'Twitter Link: ', 'bizhunt' ),
  'section'               => 'bizhunt_social_section',
  'type'                  => 'url',
  'priority'              => 20,
  'settings'              => 'bizhunt_social_twitter',
) );

//Social Media URL Facebook
$wp_customize->add_setting( 'bizhunt_social_facebook', array(
  'capability'            => 'edit_theme_options',
  'default'               => '',
  'sanitize_callback'     => 'esc_url_raw'
) );

$wp_customize->add_control( 'bizhunt_social_facebook', array(
  'description'           => __( 'Facebook Link: ', 'bizhunt' ),
  'section'               => 'bizhunt_social_section',
  'type'                  => 'url',
  'priority'              => 30,
  'settings'              => 'bizhunt_social_facebook',
) );


//Social Media URL Linkedin
$wp_customize->add_setting( 'bizhunt_social_linkedin', array(
  'capability'            => 'edit_theme_options',
  'default'               => '',
  'sanitize_callback'     => 'esc_url_raw'
) );

$wp_customize->add_control( 'bizhunt_social_linkedin', array(
  'description'           => __( 'Linkedin Link: ', 'bizhunt' ),
  'section'               => 'bizhunt_social_section',
  'type'                  => 'url',
  'priority'              => 40,
  'settings'              => 'bizhunt_social_linkedin',
) );

//Social Media URL Behance
$wp_customize->add_setting( 'bizhunt_social_behance', array(
  'capability'            => 'edit_theme_options',
  'default'               => '',
  'sanitize_callback'     => 'esc_url_raw'
) );

$wp_customize->add_control( 'bizhunt_social_behance', array(
  'description'           => __( 'Behance Link: ', 'bizhunt' ),
  'section'               => 'bizhunt_social_section',
  'type'                  => 'url',
  'priority'              => 50,
  'settings'              => 'bizhunt_social_behance',
) );

//Social Media URL Youtube
$wp_customize->add_setting( 'bizhunt_social_youtube', array(
  'capability'            => 'edit_theme_options',
  'default'               => '',
  'sanitize_callback'     => 'esc_url_raw'
) );

$wp_customize->add_control( 'bizhunt_social_youtube', array(
  'description'           => __( 'Youtube Link: ', 'bizhunt' ),
  'section'               => 'bizhunt_social_section',
  'type'                  => 'url',
  'priority'              => 60,
  'settings'              => 'bizhunt_social_youtube',
) );

//Social Media URL Instragram
$wp_customize->add_setting( 'bizhunt_social_instragram', array(
  'capability'            => 'edit_theme_options',
  'default'               => '',
  'sanitize_callback'     => 'esc_url_raw'
) );

$wp_customize->add_control( 'bizhunt_social_instragram', array(
  'description'           => __( 'Instragram Link: ', 'bizhunt' ),
  'section'               => 'bizhunt_social_section',
  'type'                  => 'url',
  'priority'              => 70,
  'settings'              => 'bizhunt_social_instragram',
) );
 ?>