<?php 
/**
 * Template part - Fun Section of FrontPage
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package bizhunt
 */

?>
<?php if(get_theme_mod('bizhunt_fun_enable')): ?>
	<section id="fun-facts" >
		<div class="container">
			<div class="row">
				<?php 
				$fun_no         = 4;
				$bizhunt_fun_title     = array();
				$bizhunt_fun_icon      = array();
				$bizhunt_fun_no     = array();
				for( $i = 1; $i <= $fun_no; $i++ ) {
					$bizhunt_fun_title[]   = get_theme_mod( "bizhunt_fun_title_$i", "" );
					$bizhunt_fun_icon[]    = get_theme_mod( "bizhunt_fun_icon_$i", "" );
					$bizhunt_fun_no[]  = get_theme_mod( "bizhunt_fun_no_$i", "" );
				}
				?>
				<?php
				for( $i = 0; $i < $fun_no; $i++ ) {
					?>
					<div class="col-md-3 col-sm-6 col-xs-12 wow fadeIn" data-wow-duration="0.8s" data-wow-delay="0.4s">
						<div class="single-features">
							<?php if( !empty( $bizhunt_fun_icon[ $i ] ) ) { ?>
							<div class="icon">
								<i class="fa <?php  echo esc_attr( $bizhunt_fun_icon[ $i ] ); ?>"></i>
							</div>
						<?php } ?>
							<?php if(!empty( $bizhunt_fun_no[ $i ] )) { ?>
								<span class="counter">
									<?php echo esc_html( $bizhunt_fun_no[ $i ] ); ?>
								</span>
							<?php } ?>
							<?php if( !empty( $bizhunt_fun_title[ $i ] ) ) { ?> 
								<p> 
									<?php echo esc_html( $bizhunt_fun_title[ $i ] ); ?>
								</p>
							<?php } ?>
						</div>
					</div>
					<?php
				}
				?>
			</div>
		</div>
	</section>
	<?php endif; ?>